# SoTextureCoordinateDefault Class Reference
[Nodes]

`#include <Inventor/nodes/SoTextureCoordinateDefault.h>`

Inheritance diagram for SoTextureCoordinateDefault:

List of all members.

## Detailed Description

The SoTextureCoordinateDefault class removes texture coordinates from the state.

Shapes below this node in the scenegraph will have to use its default texture coordinates as SoTextureCoordinateDefault cleans out all previously defined texture coordinates and texture coordinate functions.

## Public Member Functions

| SoTextureCoordinateDefault (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoTextureCoordinateDefault ()

## Constructor & Destructor Documentation

SoTextureCoordinateDefault::SoTextureCoordinateDefault | ( | void |  | ) |

| Constructor.

SoTextureCoordinateDefault::~SoTextureCoordinateDefault | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTextureCoordinateDefault::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTextureCoordinateFunction.

void SoTextureCoordinateDefault::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTextureCoordinateDefault::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTextureCoordinateDefault::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoTextureCoordinateDefault::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

The documentation for this class was generated from the following files:

- SoTextureCoordinateDefault.h
- SoTextureCoordinateDefault.cpp